h1 a {
    text-decoration: none;
    color: white;

}

nav h1 {
    font-size: 38px;
}

nav {
    width: 100%;
    height: 109px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    top: 0px;
    left: 50%;
    transform: translateX(-50%);
    max-width: 1440px;
    z-index: 99;
    background-color: #141D2F;
    padding: 0 37px;
}

.navigation-bar {
    gap: 92px;
    display: flex;
    align-items: center;
}

.navigation-links-container {
    display: flex;
    font-size: 23px;
    gap: 29px;
}

.navigation-links-container a {
    text-decoration: none;
    color: white;
    font-weight: 400;
    font-style: normal;
}

.navigation-links-container a:hover {
    color: #70e71a;
}

.navigations-links {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    cursor: pointer;
}

.navigation-links-img {
    width: 57px;
    height: 3px;
}

.navigations-links.active a {
    color: #70e71a !important;
}

.navigations-links.active .navigation-links-img {
    display: block !important;
}

.change_language_container {
    display: flex;
    gap: 14px;
}

.language-button {
    font-family: 'Poppins', sans-serif;
    color: white;
    font-size: 18px;
    line-height: 120%;
    font-weight: 400;
    width: 40px;
    height: 32px;
    border-radius: 30%;
    background-color: #141D2F;
    border: solid 1px #70e71a;
}

.language-button:hover {
    cursor: pointer;
    background-color: #9747FF;
    border-color: #9747FF;
}

.language-button.active {
    background-color: #70e71a;
    font-weight: 700;
}

.language-button.active:hover {
    border-color: #70e71a;
    cursor: default;
}

.purple-dot {
    color: #9747ff;
}

.green-r {
    color: #70e71a;
}

.menu-icon {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 48px;
    height: 48px;
    padding-bottom: 0;
    padding-right: 0;
    margin-right: -0.5rem;
    cursor: pointer;
}

.menu-icon-line-top {
    width: 24px;
    height: 2px;
    background-color: white;
    padding-bottom: 0;
    padding-right: 0;
    transition: transform 0.7s;
    transform: translate3d(0px, 0px, 0px) scale3d(1, 1, 1) rotateX(0deg) rotateY(0deg) rotateZ(0deg) skew(0deg, 0deg);
    transform-style: preserve-3d;
}

.menu-icon-line-top.active {
    transform: translate3d(0px, 8px, 0px) scale3d(1, 1, 1) rotateX(0deg) rotateY(0deg) rotateZ(-45deg) skew(0deg, 0deg);
    transform-style: preserve-3d;
}

.menu-icon-line-middle {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 24px;
    height: 2px;
    background-color: white;
    margin-top: 6px;
    margin-bottom: 6px;
    padding-bottom: 0;
    padding-right: 0;
    transition: width 0.3s;
}

.menu-icon-line-middle.active {
    width: 0px;
    height: 2px;
}

.menu-icon-line-bottom {
    width: 24px;
    height: 2px;
    background-color: white;
    padding-bottom: 0;
    padding-right: 0;
    transition: transform 0.7s;
    transform: translate3d(0px, 0px, 0px) scale3d(1, 1, 1) rotate(0deg) rotateY(0deg) rotateZ(0deg) skew(0deg, 0deg);
    transform-style: preserve-3d;
}

.menu-icon-line-bottom.active {
    transform: translate3d(0px, -8px, 0px) scale3d(1, 1, 1) rotateX(0deg) rotateY(0deg) rotateZ(45deg) skew(0deg, 0deg);
    transform-style: preserve-3d;
}

/* --- Modal --- */
.modal {
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 109px;
    right: 0;
    width: 250px;
    height: 500px;
    background-color: #414857;
    transform: translateX(100%);
    transition: transform 0.3s ease-in-out;
    z-index: 98;
}

.modal.dNone {
    display: none;
}

.modal.show {
    transform: translateX(0);
}

.modal-content {
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: 29px;
}

.modal-content a {
    font-size: 22px;
    text-decoration: none;
    color: white;
}

.modal-content a:hover {
    color: #70e71a;
}

.modal-language-container {
    display: flex;
    align-items: center;
    line-height: 120%;
}

.language-button-modal {
    font-family: 'Poppins', sans-serif;
    color: white;
    font-size: 18px;
    line-height: 120%;
    font-weight: 400;
    width: 40px;
    height: 32px;
    background-color: transparent;
    border: none;
    cursor: pointer;
}

.language-button-modal:hover {
    color: #70e71a;
}

.language-button-modal.active {
    color: #70e71a;
    font-weight: 700;
}


@media(max-width: 768px) {
    .navigation-links-container {
        display: none;
    }

    .change_language_container {
        display: none;
    }

    .menu-icon {
        display: flex;
        cursor: pointer;
    }
}